[
{
    blockid=access;
    help=service_imap_access_access;
    localvar={
	.delimiter="$";
	.allow.help="(\ub370\ubaac, \ud074\ub77c\uc774\uc5b8\ud2b8) \uc30d\uc774 \ud5c8\uc6a9 \ud544\ud130\uc640 \uc77c\uce58\ud558\ub294 \uacbd\uc6b0 \uc11c\ubc84\uc2a4\uc5d0 \ub300\ud55c \uc561\uc138\uc2a4\uac00 \ubd80\uc5ec\ub429\ub2c8\ub2e4.";
	.allow.header="\ud5c8\uc6a9";
	.deny.help="(\ub370\ubaac, \ud074\ub77c\uc774\uc5b8\ud2b8) \uc30d\uc774 \uac70\ubd80 \ud544\ud130\uc640 \uc77c\uce58\ud558\ub294 \uacbd\uc6b0 \uc11c\ubc84\uc2a4\uc5d0 \ub300\ud55c \uc561\uc138\uc2a4\uac00 \uac70\ubd80\ub429\ub2c8\ub2e4.";
	.deny.header="\uac70\ubd80";
	.else.help="(\ub370\ubaac, \ud074\ub77c\uc774\uc5b8\ud2b8) \uc30d\uc774 \uc704\uc5d0 \ub098\uc5f4\ub41c \ud544\ud130\uc640 \uc77c\uce58\ud558\uc9c0 \uc54a\ub294 \uacbd\uc6b0\uc5d0\ub3c4 \uc561\uc138\uc2a4\uac00 \ubd80\uc5ec\ub429\ub2c8\ub2e4.";
	.allow.title="\ud5c8\uc6a9 \ud544\ud130 \ud56d\ubaa9";
	.deny.title="\uac70\ubd80 \ud544\ud130 \ud56d\ubaa9";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.allow.title;
	    editui=allowdialog;
	    edittitle=$.allow.title;
	    val=$domainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=denylabel;
	    text=$.deny.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=denytable;
	    stdtable=true;
	    showedit=true;
	    buttonsat=east;
	    label=denylabel;
	    visiblerows=5;
	    addui=denydialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.deny.title;
	    editui=denydialog;
	    edittitle=$.deny.title;
	    val=$domainnotallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=4;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.deny.header;
		    varname=denyrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=5;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.else.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=6;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=allowdialog;
    help=service_imap_access_allowdialog;
    localvar={
	.allowrule.help="\ud5c8\uc6a9 \ud544\ud130:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.allowrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.imapaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.imapaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
},
{
    blockid=denydialog;
    help=service_imap_access_denydialog;
    localvar={
	.denyrule.help="\uac70\ubd80 \ud544\ud130:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.denyrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$denyrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.denyrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.imapaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.imapaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
